weechat : can not be installed because plugin "perl" is not loaded

来源:互联网 时间:1970-01-01

想要为weechat安装script,但是遇到问题,我安装的是buffers.pl,提示:

13:28:12 weechat | script: script "buffers.pl" can not be installed because plugin "perl" is not loaded

基于这篇文章:http://www.daveeddy.com/2015/03/30/weechat-perl-plugin-on-smartos/

我们这么做:

第一步我们下载对应我们本地weechat版本的官方weechat官方版本:

wget https://weechat.org/files/src/weechat-1.3.tar.gztar zxvf weechat-1.3.tar.gzcd weechat-1.3mkdir buildcd buildcmake ../ -DPREFIX=/opt/localmake

其中如果你本地没有cmake(因文我是osx,没有自带cmake),则使用brew直接安装。

之后可以看到提示:

-- Build files have been written to: /Users/andy/Downloads/weechat-1.3/build

已经在build目录生成了,可以去这里查看:

/Users/andy/Downloads/weechat-1.3/build/src/plugins

所有支持的语言,都在这个目录下。

另外我的weechat本地目录是:/usr/local/lib/weechat/plugins

所以我们把perl.so拷贝到 weechat_local_path/plugins/ 下

cp perl.so /usr/local/lib/weechat/plugins/

之后我们退出weechat然后重新进入,然后

/plugin

之后可以看到我们的perl被支持了:

perl: Support of perl scripts

之后我们列出所有weechat的scripts:

/script

记得上面的script没有s

然后我们可以看到一个列表,现在这里面的所有script你都可以试着装一下了(使用 /script install 命令),哈哈~~~



相关阅读:
Top